Package org.apache.storm.trident.fluent

# Class GroupedStream

java.lang.Object
org.apache.storm.trident.fluent.GroupedStream

All Implemented Interfaces:
  `GlobalAggregationScheme<GroupedStream>`, `IAggregatableStream`

public class GroupedStream extends Object implements IAggregatableStream, GlobalAggregationScheme<GroupedStream>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupedStream(Stream stream, Fields groupFields)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IAggregatableStream`
  `aggPartition(GroupedStream s)`
  `Stream`
  `aggregate(Aggregator agg, Fields functionFields)`
  `Stream`
  `aggregate(CombinerAggregator agg, Fields functionFields)`
  `Stream`
  `aggregate(ReducerAggregator agg, Fields functionFields)`
  `Stream`
  `aggregate(Fields inputFields, Aggregator agg, Fields functionFields)`
  `Stream`
  `aggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)`
  `Stream`
  `aggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)`
  `ChainedAggregatorDeclarer`
  `chainedAgg()`
  `IAggregatableStream`
  `each(Fields inputFields, Function function, Fields functionFields)`
  `Fields`
  `getGroupFields()`
  `Fields`
  `getOutputFields()`
  `GroupedStream`
  `name(String name)`
  `IAggregatableStream`
  `partitionAggregate(Fields inputFields, Aggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateFactory stateFactory, CombinerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateFactory stateFactory, ReducerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateFactory stateFactory, Fields inputFields, CombinerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateFactory stateFactory, Fields inputFields, ReducerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateSpec spec, CombinerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateSpec spec, ReducerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateSpec spec, Fields inputFields, CombinerAggregator agg, Fields functionFields)`
  `TridentState`
  `persistentAggregate(StateSpec spec, Fields inputFields, ReducerAggregator agg, Fields functionFields)`
  `SingleEmitAggregator.BatchToPartition`
  `singleEmitPartitioner()`
  `Stream`
  `stateQuery(TridentState state, QueryFunction function, Fields functionFields)`
  `Stream`
  `stateQuery(TridentState state, Fields inputFields, QueryFunction function, Fields functionFields)`
  `Stream`
  `toStream()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupedStream

    public GroupedStream(Stream stream, Fields groupFields)

- ## Method Details

  - ### name

    public GroupedStream name(String name)

  - ### chainedAgg

    public ChainedAggregatorDeclarer chainedAgg()

  - ### aggregate

    public Stream aggregate(Aggregator agg, Fields functionFields)

  - ### aggregate

    public Stream aggregate(Fields inputFields, Aggregator agg, Fields functionFields)

  - ### aggregate

    public Stream aggregate(CombinerAggregator agg, Fields functionFields)

  - ### aggregate

    public Stream aggregate(Fields inputFields, CombinerAggregator agg, Fields functionFields)

  - ### aggregate

    public Stream aggregate(ReducerAggregator agg, Fields functionFields)

  - ### aggregate

    public Stream aggregate(Fields inputFields, ReducerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateFactory stateFactory, CombinerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateSpec spec, CombinerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateFactory stateFactory, Fields inputFields, CombinerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateSpec spec, Fields inputFields, CombinerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateFactory stateFactory, Fields inputFields, ReducerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateSpec spec, Fields inputFields, ReducerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateFactory stateFactory, ReducerAggregator agg, Fields functionFields)

  - ### persistentAggregate

    public TridentState persistentAggregate(StateSpec spec, ReducerAggregator agg, Fields functionFields)

  - ### stateQuery

    public Stream stateQuery(TridentState state, Fields inputFields, QueryFunction function, Fields functionFields)

  - ### stateQuery

    public Stream stateQuery(TridentState state, QueryFunction function, Fields functionFields)

  - ### each

    public IAggregatableStream each(Fields inputFields, Function function, Fields functionFields)
    Specified by:
      `each` in interface `IAggregatableStream`

  - ### partitionAggregate

    public IAggregatableStream partitionAggregate(Fields inputFields, Aggregator agg, Fields functionFields)
    Specified by:
      `partitionAggregate` in interface `IAggregatableStream`

  - ### aggPartition

    public IAggregatableStream aggPartition(GroupedStream s)
    Specified by:
      `aggPartition` in interface `GlobalAggregationScheme<GroupedStream>`

  - ### toStream

    public Stream toStream()
    Specified by:
      `toStream` in interface `IAggregatableStream`

  - ### getOutputFields

    public Fields getOutputFields()
    Specified by:
      `getOutputFields` in interface `IAggregatableStream`

  - ### getGroupFields

    public Fields getGroupFields()

  - ### singleEmitPartitioner

    public SingleEmitAggregator.BatchToPartition singleEmitPartitioner()
    Specified by:
      `singleEmitPartitioner` in interface `GlobalAggregationScheme<GroupedStream>`